From: James Valleroy <jvalleroy@mailbox.org>
Date: Sat, 22 Aug 2020 19:24:33 -0400
Subject: tests/AssetsTest.php: Remove test of Blade extractor

Blade extractor is provided by php-illuminate-view, which is not
packaged in Debian currently. Other extractors such as Twig and Yaml
are available.

Forwarded: not-needed
---
 tests/AssetsTest.php | 36 ------------------------------------
 1 file changed, 36 deletions(-)

diff --git a/tests/AssetsTest.php b/tests/AssetsTest.php
index 5a270f6..53a2715 100644
--- a/tests/AssetsTest.php
+++ b/tests/AssetsTest.php
@@ -122,42 +122,6 @@ class AssetsTest extends AbstractTest
         $this->runTestFormat('po3/YamlDictionary', $countTranslations, $countTranslated);
     }
 
-    public function testBlade()
-    {
-        $translations = static::get('blade/input', 'Blade');
-        $countTranslations = 11;
-        $countTranslated = 0;
-        $countHeaders = 8;
-
-        $this->assertCount($countTranslations, $translations);
-        $this->assertCount($countHeaders, $translations->getHeaders());
-        $this->assertEquals(0, $translations->countTranslated());
-
-        $this->assertContent($translations, 'blade/Po');
-        $this->assertContent($translations, 'blade/Mo');
-        $this->assertContent($translations, 'blade/PhpArray');
-        $this->assertContent($translations, 'blade/Jed');
-        $this->assertContent($translations, 'blade/Json');
-        $this->assertContent($translations, 'blade/JsonDictionary');
-        $this->assertContent($translations, 'blade/Csv');
-        $this->assertContent($translations, 'blade/CsvDictionary');
-        $this->assertContent($translations, 'blade/Xliff');
-        $this->assertContent($translations, 'blade/Yaml');
-        $this->assertContent($translations, 'blade/YamlDictionary');
-
-        $this->runTestFormat('blade/Po', $countTranslations, $countTranslated, $countHeaders);
-        $this->runTestFormat('blade/Mo', 0, $countTranslated, $countHeaders);
-        $this->runTestFormat('blade/PhpArray', $countTranslations, $countTranslated, $countHeaders);
-        $this->runTestFormat('blade/Jed', $countTranslations, $countTranslated, 10);
-        $this->runTestFormat('blade/Xliff', $countTranslations, $countTranslated, $countHeaders);
-        $this->runTestFormat('blade/Json', $countTranslations, $countTranslated, $countHeaders);
-        $this->runTestFormat('blade/JsonDictionary', $countTranslations, $countTranslated);
-        $this->runTestFormat('blade/Csv', $countTranslations, $countTranslated, $countHeaders);
-        $this->runTestFormat('blade/CsvDictionary', $countTranslations, $countTranslated);
-        $this->runTestFormat('blade/Yaml', $countTranslations, $countTranslated, $countHeaders);
-        $this->runTestFormat('blade/YamlDictionary', $countTranslations, $countTranslated);
-    }
-
     public function testJed()
     {
         $translations = static::get('jed/input', 'Jed');
